Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class PortalSignOnPK

    java.lang.Object
      |
      +--com.beasys.portal.ejb.PortalSignOnPK

public class PortalSignOnPK
extends java.lang.Object
implements java.io.Serializable

Portal SignOn Primary key implementation.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `portalName` The portal name.
`java.lang.String` | `systemName` The system name.
`java.lang.String` | `systemUserId` The system user id.
`java.lang.String` | `userId` The user id.

Constructor Summary
`PortalSignOnPK()` Default constructor.
`PortalSignOnPK(java.lang.String aUserId, java.lang.String aPortalName, java.lang.String aSystemName, java.lang.String aSystemUserId)` Portal sign on primary key.

Method Summary
`boolean` | `equals(java.lang.Object theOther)` Check for object equality.
`java.lang.String` | `getPortalName()` Get portal name.
`java.lang.String` | `getSystemName()` Get system name.
`java.lang.String` | `getSystemUserId()` Get system user id.
`java.lang.String` | `getUserId()` Get user id.
`void` | `setPortalName(java.lang.String aName)` Set portal name.
`void` | `setSystemName(java.lang.String aSystemName)` Set system name.
`void` | `setSystemUserId(java.lang.String aUserId)` Set system user id.
`void` | `setUserId(java.lang.String aUserId)` Set user id.
`java.lang.String` | `toString()` String representation of the Id.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### userId

    public java.lang.String userId

  The user id.

### portalName

    public java.lang.String portalName

  The portal name.

### systemName

    public java.lang.String systemName

  The system name.

### systemUserId

    public java.lang.String systemUserId

  The system user id.

Constructor Detail

### PortalSignOnPK

    public PortalSignOnPK()

  Default constructor.

### PortalSignOnPK

    public PortalSignOnPK(java.lang.String aUserId,
                          java.lang.String aPortalName,
                          java.lang.String aSystemName,
                          java.lang.String aSystemUserId)

  Portal sign on primary key.
  Parameters:
    `aUserId` - the user id.
    `aPortalName` - the portal.
    `aSystemName` - the system.
    `aSystemUserId` - the user id.

Method Detail

### equals

    public boolean equals(java.lang.Object theOther)

  Check for object equality.
  Overrides:
    equals in class java.lang.Object
  Parameters:
    `the` - object to check against.
  Returns:
    boolean are they equal? yes/no.

### toString

    public java.lang.String toString()

  String representation of the Id.
  Overrides:
    toString in class java.lang.Object
  Returns:
    the rep.

### setUserId

    public void setUserId(java.lang.String aUserId)

  Set user id.
  Parameters:
    `aUserId` - the user id.

### getUserId

    public java.lang.String getUserId()

  Get user id.
  Returns:
    `String` the user id.

### setPortalName

    public void setPortalName(java.lang.String aName)

  Set portal name.
  Parameters:
    `aName` - the portal name.

### getPortalName

    public java.lang.String getPortalName()

  Get portal name.
  Returns:
    `String` the portal.

### setSystemName

    public void setSystemName(java.lang.String aSystemName)

  Set system name.
  Parameters:
    `aSystemName` - the system.

### getSystemName

    public java.lang.String getSystemName()

  Get system name.
  Returns:
    `String` the system.

### setSystemUserId

    public void setSystemUserId(java.lang.String aUserId)

  Set system user id.
  Parameters:
    `aUserId` - the user id.

### getSystemUserId

    public java.lang.String getSystemUserId()

  Get system user id.
  Returns:
    `String` the user id.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved